Page MenuHomePhabricator

Representation of a Lexeme in a statement value (L)
Closed, ResolvedPublic

Description

When using a Lexeme in a Statement as value after saving it should be rendered as a HTML link.

Expected result:

  1. A German noun lexeme with single lemma "Leiter" should rendered as a link to the lexeme page, and link text being "Leiter". when hovered link tooltip should say: "L123: German, noun", where L123 is the ID of the lexeme, and "German" and "noun" are labels (localized to user language) of, respectively, lexeme's language and lexical category. The "format" of the tooltip should i18n-able.
  2. An English noun lexeme with single lemmata "colour" and "color" should rendered as a link to the lexeme page, and link text being "colour/color". when hovered link tooltip should say: "L123: English, noun", where L123 is the ID of the lexeme, and "English" and "noun" are labels (localized to user language) of, respectively, lexeme's language and lexical category. Both the "delimiter" of multiple lemmata, as well as the "format" of the tooltip should i18n-able.

Related Objects

Event Timeline

WMDE-leszek triaged this task as Normal priority.Jan 16 2018, 2:33 PM
WMDE-leszek created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2018, 2:33 PM
WMDE-leszek renamed this task from Representation of an Lexeme in a statement value (L) to Representation of a Lexeme in a statement value (L).Jan 16 2018, 3:02 PM
WMDE-leszek updated the task description. (Show Details)Feb 19 2018, 3:16 PM

So this seems done as we have decided T187323 is not necessary right from the start. That ticket would be a part of the further story (not yet created).

Lydia_Pintscher closed this task as Resolved.Mar 2 2018, 3:21 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Yay :)